/**
 * @author NasimNet
 * @package iran
 * @version 2.1
 *
 */


/** Woocommerce loop grid */

.woocommerce .uk-grid>div {
    box-sizing: border-box;
}

/** woocommerce messages */

.woocommerce-error::before,
.woocommerce-info::before,
.woocommerce-message::before {
    right: 1.5em;
    left: auto;
    top: 1em
}

.woocommerce-error,
.woocommerce-info,
.woocommerce-message {
    background-color: #fff;
    padding: 1em 3.5em 1em 1em !important;
    border-radius: 3px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, .08);
    line-height: 38px
}

.woocommerce-error>a,
.woocommerce-info>a,
.woocommerce-message>a {
    float: left !important
}

/** Products archive */

.woocommerce .product .uk-card-media-top {
    border-radius: 3px 3px 0 0
}

.woocommerce .loop-title a {
    color: #555;
}

.uk-card-body.has_cart {
    padding-bottom: 60px;
}

.loop_cart>a {
    width: 100%;
    border-radius: 0 0 3px 3px !important;
    padding: 3px 0 !important;
}

.woocommerce .woocommerce-result-count {
    margin: 0;
    line-height: 40px;
}

.woocommerce .products .product,
.woocommerce-page .products .product {
    position: relative;
}

.woocommerce .products .product h2 {
    color: #555;
    padding: 0;
    white-space: nowrap;
    position: relative;
    margin: 0;
    font-size: 14px;
}

.woocommerce .products .product h2+.price {
    margin-top: 10px;
    display: block;
}

.woocommerce .products .product .price {
    color: #bbb;
    font-size: 13px;
    font-weight: 400;
}

.woocommerce-Price-currencySymbol {
    font-size: 12px;
}

.woocommerce .products .star-rating {
    margin: .5em 0;
}

.woocommerce .products .product .star-rating {
    font-size: 1.1em;
}

.woocommerce .products .product a img {
    box-shadow: none;
    display: block;
    height: auto;
    margin: 0;
    width: 100%;
}

.woocommerce .product .uk-card-footer {
    padding: 0
}

.woocommerce #respond input#submit.loading::after,
.woocommerce a.button.loading::after,
.woocommerce button.button.loading::after,
.woocommerce input.button.loading::after {
    display: none
}

.woocommerce a.button.loading {
    padding: 0
}

.woocommerce-LoopProduct-link {
    display: block;
    position: relative;
}

.woocommerce-LoopProduct-link::after {
    clear: both;
    content: "";
    display: block;
}

.woocommerce a.added_to_cart {
    display: none;
    visibility: hidden;
}

.woocommerce .products .product .add_to_cart_button.added {
    color: #fff;
}

.woocommerce .products .product .star-rating::before {
    color: #eee;
    content: "SSSSS";
}

.woocommerce .star-rating span::before {
    color: #FFCA28;
}

.woocommerce .products+div {
    margin-top: 40px;
}

.woocommerce span.onsale {
    display: inline-block;
    padding: 0 10px;
    background: #ef5662;
    line-height: 1.5;
    font-size: 12px;
    color: #fff;
    vertical-align: middle;
    white-space: nowrap;
    border-radius: 3px;
    text-transform: uppercase;
    z-index: 9;
    top: 20px;
    right: 20px;
    min-height: auto;
    font-weight: 300;
    padding: 5px 10px;
}

body.single-product .uk-card span.onsale {
    top: 40px;
    right: 40px;
}

.woocommerce .summary p.price del,
.woocommerce .summary span.price del {
    display: block !important;
    color: #555;
    font-size: 14px;
}

.woocommerce .summary p.price ins,
.woocommerce .summary span.price ins,
.woocommerce div.product p.price,
.woocommerce div.product span.price {
    color: #ef5662;
    font-size: 30px;
}

.woocommerce .comment-form p {
    margin-bottom: 20px !important
}

.woocommerce .comment-form p:last-child {
    margin-bottom: 0 !important
}

.iran-discount-badge {
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 0;
    border-bottom: 69px solid transparent;
    border-left: 69px solid #ff637d;
}

.iran-discount-badge>span {
    transform: rotate(-45deg);
    position: absolute;
    left: -66px;
    top: 5px;
    text-align: center;
    font-size: 12px;
    color: #fff;
    line-height: 15px;
}

.iran-out-of-stock {
    position: absolute;
    left: calc(50% - 75.8px);
    top: calc(50% - 21.8px);
    background-color: rgba(255, 255, 255, 0.8);
    padding: 10px 0;
    border-radius: 3px 50px 50px;
    border: 1px solid #aaa;
    width: 150px;
    text-align: center;
    box-shadow: 0 0 5px #ddd;
}

.iran-out-of-stock>span {
    color: #888 !important;
    font-weight: bold;
}

.woocommerce .overlay-product-rating {
    background-color: rgba(34, 34, 34, 0.5);
    padding: 7px 10px;
    border-radius: 3px;
}

.woocommerce .product-rating {
    background-color: #f5f5f5;
    position: absolute;
    right: 0;
    top: 0;
    padding: 5px 7px;
    color: #888;
    border-bottom-left-radius: 3px;
}

/** Single product page */

.woocommerce div.product .loop-price,
.woocommerce div.product .loop-price ins {
    color: #ef5662;
    font-size: 17px;
    display: flex;
    flex-direction: column-reverse;
}

.woocommerce div.product .loop-price ins {
    background-color: transparent
}

.woocommerce div.product .loop-price del {
    color: #aaa;
    font-size: 12px
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger {
    border-radius: 3px;
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover {
    box-shadow: 0 0px 3px rgba(0, 0, 0, 0.1)
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover::before {
    border-color: #00A8E6
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger:hover::after {
    background-color: #00A8E6
}

.woocommerce .woocommerce-product-rating .star-rating {
    float: right;
    margin: 0.5em 0 0 4px;
}

.woocommerce #content div.product div.images,
.woocommerce div.product div.images,
.woocommerce-page #content div.product div.images,
.woocommerce-page div.product div.images {
    float: right;
    width: 48%
}

.woocommerce #content div.product div.summary,
.woocommerce div.product div.summary,
.woocommerce-page #content div.product div.summary,
.woocommerce-page div.product div.summary {
    float: left;
    width: 48%
}

.woocommerce #content div.product div.thumbnails a,
.woocommerce div.product div.thumbnails a,
.woocommerce-page #content div.product div.thumbnails a,
.woocommerce-page div.product div.thumbnails a {
    float: right;
    margin: 0 0 1em 3.8%;
}

.woocommerce #content div.product div.thumbnails a:nth-child(n+5),
.woocommerce div.product div.thumbnails a:nth-child(n+5),
.woocommerce-page #content div.product div.thumbnails a:nth-child(n+5),
.woocommerce-page div.product div.thumbnails a:nth-child(n+5) {
    display: none
}

.woocommerce #content div.product div.thumbnails a.last,
.woocommerce div.product div.thumbnails a.last,
.woocommerce-page #content div.product div.thumbnails a.last,
.woocommerce-page div.product div.thumbnails a.last {
    margin: 0;
}

.woocommerce div.product form.cart div.quantity {
    float: right;
    margin: 0 0 0 10px;
}

.woocommerce #respond input#submit,
.woocommerce input.button {
    -moz-user-select: none;
    background-color: #1E88E5;
    border-color: #1E88E5;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    font-family: inherit;
    font-size: 14px;
    font-weight: normal;
    line-height: 36px !important;
    padding: 0 30px !important;
    text-align: center;
    vertical-align: middle;
    white-space: nowrap;
}

.woocommerce a.button {
    background-color: transparent;
    color: #888;
    border: 0 none;
    margin: 0;
    overflow: visible;
    display: inline-block;
    box-sizing: border-box;
    padding: 0 15px;
    vertical-align: middle;
    font-size: .875rem;
    font-weight: normal;
    line-height: 38px;
    text-align: center;
    transition: .1s ease-in-out;
    transition-property: all;
    transition-property: color, background-color, border-color;
}

.woocommerce #respond input#submit:hover,
.woocommerce input.button:hover {
    color: #fff;
    background-color: #0f7ae5;
}

.woocommerce a.button:hover {
    background-color: #f9f9f9
}

.woocommerce #respond input#submit.alt,
.woocommerce a.button.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt {
    border: 0 none;
    font-family: inherit;
    color: #fff !important;
}

.woocommerce .quantity .qty {
    height: 42px;
    padding: 0 20px 0 0;
    text-align: center;
    width: 60px;
    position: relative;
}

.woocommerce .product .related {
    margin-top: 35px
}

.woocommerce div.product form.cart .button {
    background-color: #3bc26e !important;
    color: #fff;
    float: right;
}

.woocommerce div.product form.cart .button:hover {
    background-color: #36ac63 !important
}

.woocommerce div.product .woocommerce-tabs ul.tabs::before {
    border-bottom: 1px solid #ddd;
}

.woocommerce #respond input#submit.alt:hover,
.woocommerce a.button.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover {
    background-color: #43A047;
    border-color: #43A047;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li::before,
.woocommerce div.product .woocommerce-tabs ul.tabs li::after {
    display: none;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li {
    background-color: transparent;
    border: 0 none;
    margin: 0;
    z-index: 0;
    border-radius: 0
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active {
    border-top: 3px solid #ddd;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.2);
}

.woocommerce div.product .woocommerce-tabs ul.tabs li a {
    color: #6b6b6b;
    padding: 1em 0;
}

.woocommerce div.product .woocommerce-tabs ul.tabs {
    margin: 0;
    background-color: #fafafa;
    padding: 0;
    border-radius: 3px 3px 0 0;
}

.woocommerce div.product .woocommerce-tabs .panel {
    border: 0 none;
    margin: 0;
    padding: 30px;
}

.woocommerce div.product .woocommerce-tabs .panel>p,
.woocommerce div.product .woocommerce-tabs .panel>table {
    margin: 0;
    font-size: 1.1rem;
    line-height: 2.2;
}

.rtl.woocommerce div.product div.images .flex-control-thumbs li,
.woocommerce-error .button,
.woocommerce-info .button,
.woocommerce-message .button {
    float: right;
}

.woocommerce .sku-title {
    margin-right: 0
}

.woocommerce #review_form #respond p {
    margin: 0
}

.woocommerce table.shop_attributes td p {
    padding: 8px;
    font-style: normal;
}

.woocommerce-review-link,
.woocommerce div.product .breadcrumbs a,
.woocommerce div.product .breadcrumbs span {
    color: #aaa;
}

/** woocommerce reviews */

.woocommerce #reviews #comments ol.commentlist {
    padding: 0
}

.woocommerce #reviews #comments h2 {
    font-size: 16px;
    margin-bottom: 35px
}

.woocommerce #review_form_wrapper {
    padding-top: 15px;
}

.woocommerce #reviews #comments ol.commentlist li img.avatar {
    background: #fff none repeat scroll 0 0;
    border: 0 none;
    float: right;
    right: 0;
    width: 50px;
    left: auto;
}

.woocommerce .star-rating span {
    float: right;
    left: auto;
    right: 0
}

.woocommerce .star-rating::before {
    float: right;
    right: 0;
    left: auto;
}

.woocommerce .star-rating span::before {
    right: 0;
    left: auto;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text {
    margin: 0 60px 0 0;
}

.woocommerce .comment-text .star-rating {
    float: left;
}

.woocommerce .comment-text .meta>strong {
    float: right;
    padding-left: 5px;
}

.woocommerce .comment-text .meta>time {
    padding-right: 5px
}

.woocommerce .stars a {
    color: #FFCA28;
}

/** Cart page */

.woocommerce #respond input#submit.disabled,
.woocommerce #respond input#submit:disabled,
.woocommerce #respond input#submit[disabled]:disabled,
.woocommerce a.button.disabled,
.woocommerce a.button:disabled,
.woocommerce a.button[disabled]:disabled,
.woocommerce button.button.disabled,
.woocommerce button.button:disabled,
.woocommerce button.button[disabled]:disabled,
.woocommerce input.button.disabled,
.woocommerce input.button:disabled,
.woocommerce input.button[disabled]:disabled {
    color: #fff;
}

.woocommerce table.shop_table {
    text-align: right;
}

#add_payment_method table.cart td.actions .coupon .input-text,
.woocommerce-cart table.cart td.actions .coupon .input-text,
.woocommerce-checkout table.cart td.actions .coupon .input-text {
    float: right;
    margin: 0 0 0 5px;
    min-height: 30px;
    padding: 0 5px;
    width: 156px;
    height: 31px;
}

.woocommerce .cart .button,
.woocommerce .cart input.button {
    float: left;
    font-weight: normal;
    font-family: inherit;
}

.woocommerce #content table.cart td.actions .coupon,
.woocommerce table.cart td.actions .coupon,
.woocommerce-page #content table.cart td.actions .coupon,
.woocommerce-page table.cart td.actions .coupon {
    float: right;
}

.woocommerce table.shop_table td,
.woocommerce table.shop_table th {
    border-left: 1px solid #f1f1f1;
    text-align: center;
}

.woocommerce table.shop_table td:last-child,
.woocommerce table.shop_table th:last-child {
    border-left: 0
}

.woocommerce table.shop_table td {
    padding: 10px;
}

#add_payment_method .wc-proceed-to-checkout a.checkout-button,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
.woocommerce-checkout .wc-proceed-to-checkout a.checkout-button {
    font-size: 1em;
    border: 0 none;
    margin: 0;
    padding: 0;
}

#add_payment_method .wc-proceed-to-checkout,
.woocommerce-cart .wc-proceed-to-checkout,
.woocommerce-checkout .wc-proceed-to-checkout {
    padding: 15px 0 0;
    margin: 0
}

.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button {
    font-weight: normal;
    font-family: inherit;
}

.woocommerce-cart-form .product-quantity .quantity::before {
    content: "";
    display: table-cell
}

.woocommerce .woocommerce-cart-form .product-quantity::before,
.woocommerce .woocommerce-cart-form .actions::before {
    content: "";
    display: table-cell;
}

.woocommerce .woocommerce-cart-form .product-quantity::after,
.woocommerce .woocommerce-cart-form .actions::after {
    content: "";
    display: table;
    clear: both
}

/** Checkout page */

.rtl .woocommerce .col2-set .col-1,
.rtl .woocommerce-page .col2-set .col-1 {
    float: right;
}

.rtl .woocommerce .col2-set .col-2,
.rtl .woocommerce-page .col2-set .col-2 {
    float: left;
}

.woocommerce form.checkout_coupon,
.woocommerce form.login,
.woocommerce form.register {
    border: 1px solid #ddd;
    text-align: right;
}

.woocommerce form .form-row textarea {
    font-size: 12px;
    height: 10em;
    padding: 7px;
}

#add_payment_method #payment ul.payment_methods li,
.woocommerce-cart #payment ul.payment_methods li,
.woocommerce-checkout #payment ul.payment_methods li {
    text-align: right;
}

#add_payment_method #payment div.payment_box::before,
.woocommerce-cart #payment div.payment_box::before,
.woocommerce-checkout #payment div.payment_box::before {
    left: auto;
    right: 0;
    margin: -1em 2em 0 0;
    border-color: transparent transparent #f1f1f1
}

#add_payment_method #payment,
.woocommerce-cart #payment,
.woocommerce-checkout #payment {
    background: transparent none repeat scroll 0 0;
}

#add_payment_method #payment div.payment_box,
.woocommerce-cart #payment div.payment_box,
.woocommerce-checkout #payment div.payment_box {
    background-color: #f1f1f1;
}

#add_payment_method #payment ul.payment_methods,
.woocommerce-cart #payment ul.payment_methods,
.woocommerce-checkout #payment ul.payment_methods {
    border-bottom: 0;
    padding: 0;
    text-align: right;
}

.woocommerce-checkout #payment div.form-row {
    padding: 1em 0 0;
}

.woocommerce table.shop_table {
    border-collapse: collapse;
    text-align: right;
}

.woocommerce form .form-row input.input-text {
    height: 31px;
}

/** My account page */

.woocommerce-account .woocommerce-MyAccount-navigation {
    float: right;
    width: 20%;
}

.woocommerce-MyAccount-navigation .uk-nav {
    margin: -10px -20px
}

.woocommerce-MyAccount-navigation .uk-nav li a {
    color: #777;
    padding: 10px 15px;
}

.woocommerce-MyAccount-navigation .uk-nav li:hover a,
.woocommerce-MyAccount-navigation .uk-nav li.is-active a {
    background-color: #fafafa;
    color: #555;
}

.woocommerce-account .woocommerce-MyAccount-content {
    float: left;
    width: 78%;
    min-height: 320.8px
}

.woocommerce-account .addresses .title h3 {
    font-size: 16px;
    float: right;
}

.woocommerce-account .addresses .title .edit,
.woocommerce-account ul.digital-downloads li .count {
    float: left;
    line-height: 1;
}

.woocommerce-Address {
    background-color: #fcfcfc;
    border: 1px solid #ddd;
    box-sizing: border-box;
    margin-bottom: 15px;
    padding: 15px;
    width: 100% !important;
    border-radius: 3px;
}

#top .main_color .quantity input.plus,
#top .main_color .quantity input.minus {
    border-color: #e1e1e1;
    background-color: #ebebeb;
    color: #919191;
}

#top div .quantity input.qty {
    display: inline;
    padding: 0px 5px 0px;
    line-height: 41px;
    vertical-align: middle;
    margin: 0;
    text-align: center;
}

.woocommerce-EditAccountForm fieldset {
    border: 1px solid #ddd;
    border-radius: 3px;
    background-color: #f9f9f9;
}

.woocommerce-orders-table__cell-order-actions a.button {
    margin-left: 5px;
}

.woocommerce-orders-table__cell-order-actions a.pay {
    background-color: #3bc26e !important
}

.woocommerce-orders-table__cell-order-actions a.pay:hover {
    background-color: #30aa5e !important
}

.woocommerce-orders-table__cell-order-actions a.cancel {
    background-color: #f23c3c !important
}

.woocommerce-orders-table__cell-order-actions a.cancel:hover {
    background-color: #e02727 !important
}

/** mini cart widget */

.woocommerce ul.cart_list li,
.woocommerce ul.product_list_widget li {
    position: relative;
    padding: 0;
    margin: 10px 0;
    padding: 10px 0;
}

.woocommerce .mini_cart_item a.remove {
    display: none;
    background-color: red;
    border-radius: 0;
    color: #fff !important;
    line-height: 1.2em;
    position: absolute;
    border: 0 none;
    font-size: 20px;
    top: 3px;
    right: 3px;
    border-radius: 3px;
}

.woocommerce .mini_cart_item a.remove:hover {
    background-color: #444
}

.woocommerce .mini_cart_item a img {
    width: 75px !important;
    margin-left: 5px !important
}

.woocommerce ul.cart_list li img,
.woocommerce ul.product_list_widget li img {
    margin-right: 0;
    margin-left: 10px !important;
    float: right;
    width: 80px;
    border-radius: 50%;
}

.woocommerce .product_list_widget li:first-child {
    margin-top: 0 !important;
}

.woocommerce .product_list_widget li:nth-child(n+2) {
    border-color: #eee !important
}

.woocommerce .product_list_widget li:hover a {
    display: block;
}

.woocommerce .widget_shopping_cart_content p.total {
    border: 0 none;
    margin: 15px 0;
    line-height: 20px;
    border-top: 1px solid #ddd;
    border-bottom: 2px solid #ddd;
    padding: 10px 0;
}

.woocommerce ul.cart_list li a,
.woocommerce ul.product_list_widget li a {
    color: #0e5b9d;
    font-weight: normal;
}

.uk-navbar-item .woocommerce ul.product_list_widget {
    max-height: 240px;
    overflow-y: scroll;
}

/** Woocommerce forms */

.woocommerce select,
.woocommerce textarea,
.woocommerce input:not([type]),
.woocommerce input[type="text"],
.woocommerce input[type="password"],
.woocommerce input[type="datetime"],
.woocommerce input[type="datetime-local"],
.woocommerce input[type="date"],
.woocommerce input[type="month"],
.woocommerce input[type="time"],
.woocommerce input[type="week"],
.woocommerce input[type="number"],
.woocommerce input[type="email"],
.woocommerce input[type="url"],
.woocommerce input[type="search"],
.woocommerce input[type="tel"],
.woocommerce input[type="color"] {
    font-family: inherit;
    max-width: 100%;
    width: 100%;
    height: 40px;
    padding: 0 10px;
    border: 0 none;
    background: #fff;
    color: #666;
    border: 1px solid #e5e5e5;
    box-sizing: border-box;
    -webkit-transition: .2s ease-in-out;
    transition: .2s ease-in-out;
    -webkit-transition-property: color, background-color, border;
    transition-property: color, background-color, border;
}

.summary.entry-summary p {
    text-align: justify;
}

.woocommerce div.product form.cart .button {
    border: 1px transparent;
    float: right;
    height: 42px;
}

.woocommerce div.product form.cart .button:hover {
    border: 1px transparent
}

.woocommerce a.remove {
    border-style: solid;
    border-width: 1px;
    margin: 0 auto;
    line-height: 1.20
}

.woocommerce select:focus,
.woocommerce textarea:focus,
.woocommerce input:not([type]):focus,
.woocommerce input[type="text"]:focus,
.woocommerce input[type="password"]:focus,
.woocommerce input[type="datetime"]:focus,
.woocommerce input[type="datetime-local"]:focus,
.woocommerce input[type="date"]:focus,
.woocommerce input[type="month"]:focus,
.woocommerce input[type="time"]:focus,
.woocommerce input[type="week"]:focus,
.woocommerce input[type="number"]:focus,
.woocommerce input[type="email"]:focus,
.woocommerce input[type="url"]:focus,
.woocommerce input[type="search"]:focus,
.woocommerce input[type="tel"]:focus,
.woocommerce input[type="color"]:focus {
    outline: none;
    background-color: #fff;
    color: #666;
    border-color: #1e87f0;
}

.woocommerce select:disabled,
.woocommerce textarea:disabled,
.woocommerce input:not([type]):disabled,
.woocommerce input[type="text"]:disabled,
.woocommerce input[type="password"]:disabled,
.woocommerce input[type="datetime"]:disabled,
.woocommerce input[type="datetime-local"]:disabled,
.woocommerce input[type="date"]:disabled,
.woocommerce input[type="month"]:disabled,
.woocommerce input[type="time"]:disabled,
.woocommerce input[type="week"]:disabled,
.woocommerce input[type="number"]:disabled,
.woocommerce input[type="email"]:disabled,
.woocommerce input[type="url"]:disabled,
.woocommerce input[type="search"]:disabled,
.woocommerce input[type="tel"]:disabled,
.woocommerce input[type="color"]:disabled {
    border-color: #dddddd;
    background-color: #f5f5f5;
    color: #999999;
}

.woocommerce form .form-row.woocommerce-invalid .select2-container,
.woocommerce form .form-row.woocommerce-invalid input.input-text,
.woocommerce form .form-row.woocommerce-invalid select {
    border-color: #dc8d99 !important;
    background: #fff7f8 !important;
    color: #d85030 !important;
    box-shadow: none;
}

.woocommerce form .form-row.woocommerce-validated .select2-container,
.woocommerce form .form-row.woocommerce-validated input.input-text,
.woocommerce form .form-row.woocommerce-validated select {
    border-color: #8ec73b !important;
    background: #fafff2 !important;
    color: #659f13 !important;
}

.woocommerce-thankyou-order-details.order_details {
    padding: 0;
}

.woocommerce .order_details li:last-of-type {
    border-right: 1px dashed #d3ced2;
}

.woocommerce .order_details li {
    float: right;
    margin: 0 0 0 2em;
    padding: 0 2em 0 0;
    text-align: right;
}

.woocommerce .order_details li:first-of-type {
    border: medium none;
    padding: 0;
}

/** Woocommerce checkout page */

.select2-container--default .select2-selection--single {
    border-color: #ddd;
    height: 40px;
}

#select2-billing_country-container {
    height: 41px;
    line-height: 36px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 40px;
}

.select2-dropdown {
    border-color: #ddd
}

/* Widgets */
footer.dark .woocommerce ul.product_list_widget li:nth-child(n+2) {
    border-top: 1px solid #393939 !important
}

/* Price Filter */
.rtl.woocommerce .price_label,
.rtl.woocommerce .price_label span {
    direction: rtl;
    text-align: center;
}

.woocommerce .widget_price_filter .price_slider_amount {
    text-align: right
}

.woocommerce .price_slider_amount .filter_range {
    display: block;
}

.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content {
    background-color: #ddd;
}

/* Product Categories */
.woocommerce .product-categories>li:nth-child(n+2) {
    margin-top: 10px;
    padding-top: 10px;
    border-top: 1px solid #e5e5e5;
}

/* Responsive */

@media screen and (max-width: 770px) {

    #add_payment_method table.cart td.actions .coupon .input-text,
    .woocommerce-cart table.cart td.actions .coupon .input-text,
    .woocommerce-checkout table.cart td.actions .coupon .input-text {
        width: 50%;
    }

    .woocommerce .cart-collaterals .cart_totals,
    .woocommerce .cart-collaterals .cross-sells,
    .woocommerce .cart-collaterals .shipping_calculator,
    .woocommerce-page .cart-collaterals .cart_totals,
    .woocommerce-page .cart-collaterals .cross-sells,
    .woocommerce-page .cart-collaterals .shipping_calculator {
        text-align: right;
    }
}

@media screen and (max-width: 600px) {
    .woocommerce .order_details li {
        float: none;
        margin-bottom: 15px;
    }

    .woocommerce table.shop_table_responsive tr td::before,
    .woocommerce-page table.shop_table_responsive tr td::before {
        float: right;
        margin-left: 5px;
    }

    .woocommerce table.shop_table_responsive tr td,
    .woocommerce-page table.shop_table_responsive tr td {
        overflow: hidden;
    }

    .quantity {
        float: right;
    }

    .woocommerce #content table.cart td.actions .coupon,
    .woocommerce table.cart td.actions .coupon,
    .woocommerce-page #content table.cart td.actions .coupon,
    .woocommerce-page table.cart td.actions .coupon {
        width: 100%;
    }
}

/** Quick View styles */
.iran-quickview-style1>.uk-modal-dialog {
    width: 900px;
    height: 405px;
}

.iran-quickview-style1 .uk-slideshow {
    margin: -30px -30px -30px 0
}

body.full.post-type-archive-product,
body.full.single-product {
    background-color: #f6f6f6;
}

.woocommerce a.button {
    font-size: 13px;
    color: #fff !important;
    background-color: #0097a7;
}

.woocommerce a.button:hover {
    color: #fff !important;
    background-color: #016671;
}

.woocommerce a.button i {
    font-size: 18px;
    vertical-align: middle;
}

.iran-no-image {
    position: relative;
    width: 276px;
    height: 475px;
    background-color: #fafafa;
}

.iran-no-image::after {
    content: "\f03e";
    font-family: FontAwesome;
    position: absolute;
    color: #eee;
    left: 50%;
    top: 50%;
    font-size: 75px;
    margin-left: -40px;
    margin-top: -37.5px;
}

.woocommerce .product .woocommerce-tabs {
    margin-top: 30px;
}

.quantity {
    position: relative;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

.quantity input {
    width: 45px;
    height: 42px;
    line-height: 1.65;
    float: left;
    display: block;
    padding: 0;
    margin: 0;
    padding-left: 20px;
    border: 1px solid #eee;
}

.quantity input:focus {
    outline: 0;
}

.quantity-nav {
    float: left;
    position: relative;
    height: 42px;
}

.quantity-button {
    position: relative;
    cursor: pointer;
    border-left: 1px solid #eee;
    width: 20px;
    text-align: center;
    color: #333;
    font-size: 13px;
    font-family: "Trebuchet MS", Helvetica, sans-serif !important;
    line-height: 1.7;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    left: 100%;
}

.quantity-button.quantity-up {
    position: absolute;
    height: 50%;
    top: 0;
    border-bottom: 1px solid #eee;
}

.quantity-button.quantity-down {
    position: absolute;
    bottom: 0;
    height: 50%;
}

/* quick view */

.iran-quickview .uk-modal-dialog {
    width: 960px;
}

.iran-quickview-button {
    padding: 10px !important;
    text-align: center;
}

.quickview-loading>div::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    z-index: 1;
    border-radius: 3px;
}

.quickview-spinner {
    content: "";
    position: absolute;
    top: 50%;
    right: 50%;
    width: 30px;
    height: 30px;
    z-index: 2;
    margin-top: -15px;
}

.quickview-spinner circle {
    stroke: #fff !important;
}

.iran-quickview .uk-modal-body {
    padding: 0;
}

.iran-quickview .quickview-info {
    padding: 25px;
}

.iran-quickview .quickview-info .product-price {
    color: green;
}

.iran-quickview .quickview-info *+h3 {
    margin-top: 0;
}

.iran-quickview .quickview-info .product-title a {
    color: #666;
}

.iran-quickview .quickview-info .product-price {
    margin-bottom: 20px;
    display: block;
}